Subject: RE: PPP over SONET Signal Label

From: "Andrew G. Malis" <[email-masked]>
Date: Tue, 22 Jun 1999 10:34:08 -0400

Tim,

Many thanks for the clarification - I haven't had a chance to see the 
GR.  I'm glad to hear it's consistent with the rest of the world.

Cheers,
Andy

-------

At 10:03 AM 6/22/99 -0400, Tim Armstrong wrote:
>See requirement R3-75 in section 3.4.2.3 of Bellcore
>GR-253-CORE, Issue 2, Revision 2, January 1999. It
>clearly states the need for the payload scrambler for
>HDLC-framed payloads as well as detailing the scrambler
>type and application.
>
>Bellcore GR-253-CORE specifies a single Path Signal Label
>value (16 hex) for scrambled, HDLC-framed payloads. That is
>consistent with the mapping and PSL value defined in ANSI
>T1.105.
>
>Tim Armstrong
>Nortel Networks
>
> > -----Original Message-----
> > From: Andrew G. Malis [SMTP:[email-masked]]
> > Sent: Monday, June 21, 1999 9:11 PM
> > To:   Waldo, Michael (Michael); [email-masked]'
> > Cc:   Andrew G. Malis
> > Subject:      Re: PPP over SONET Signal Label
> >
> > Michael et al,
> >
> > A correction to my earlier message:
> >
> > Now that I had a little more time available, I just reread the ITU changes
> >
> > to G.707.  The Path Signal Label is now specified as:
> >
> > Code "16" assigned for mapping of HDLC according to 10.3/G.707.
> > Code "CF" assigned for mapping of HDLC according to IETF RFC 1619.
> >
> > The new text in section 10.3/G.707 describes how to encode any HDLC frames
> >
> > (not just PPP) using the x^43+1 scrambler.  So Bellcore got it partially
> > right, in that 0x16 is not restricted to PPP, but they apparently
> > neglected
> > to mention the scrambler in GR-253.
> >
> > I also think that this was the right thing to do, rather than try to
> > enumerate a label for every variant of HDLC, since the SONET mapping is
> > the
> > same for all of them anyway.
> >
> > Cheers,
> > Andy
> >
> > --------
> >
> > At 05:04 PM 6/21/99 -0400, Andrew G. Malis wrote:
> > >Michael,
> > >
> > > > A question about the SONET Path Signal Label with PPP,...
> > > >
> > > > In draft-ietf-pppext-pppoversonet-update-04.txt a Path Signal Label
> > (C2
> > > > Byte) of  16(hex) is "PPP with X^43 + 1 scrambling".
> > > >
> > > > GR-253 (Bellcore GR-253-CORE Issue 2, with revision 2) lists a PSL of
> > > > 16(hex) as "HDLC-Over-SONET Mapping".
> > > >
> > > > I couldn't find a signal label of 16(hex) in T1.105 or G.707.
> > >
> > >You have to look in the 1998 updates to T1.105 and G.707.  You can see
> > >the exact the updates to G.707 in the study group 15 meeting report
> > >from 9-20 Feb. 1998, questions 9-14/15, working party 3.
> > >
> > > > Is there a difference between HDLC-Over-SONET, and PPP over SONET? I
> > > > understand that the PPP over SONET is HDLC framed, but is a different
> > > Signal
> > > > Label needed to differentiate between HDLC framed data ( NOT PPP), and
> > PPP
> > > > data in a HDLC frame?
> > >
> > >I think the Bellcore folks got this wrong.
> > >
> > >Cheers,
> > >Andy

________________________________________________________________________
Andrew G. Malis  [email-masked]  phone:978 952-7414   fax:978 392-2074
Ascend Communications, Inc.        1 Robbins Road     Westford, MA 01886

---

From: "Tim Armstrong" <[email-masked]>
Date: Tue, 22 Jun 1999 10:03:07 -0400

Tim Armstrong
Nortel Networks